Skip to main content
GET
/
tenants
/
{tenantId}
/
usage
cURL
# Current month usage
curl "https://api.arkhq.io/v1/tenants/cm6abc123def456/usage" \
  -H "Authorization: Bearer YOUR_API_KEY"

# Specific month
curl "https://api.arkhq.io/v1/tenants/cm6abc123def456/usage?period=2024-01" \
  -H "Authorization: Bearer YOUR_API_KEY"

# Custom date range
curl "https://api.arkhq.io/v1/tenants/cm6abc123def456/usage?period=2024-01-01..2024-01-15" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "success": true,
  "data": {
    "tenant_id": "cm6abc123def456",
    "tenant_name": "Acme Corp",
    "external_id": "acme_123",
    "period": {
      "start": "2024-01-01T00:00:00.000Z",
      "end": "2024-01-31T23:59:59.999Z"
    },
    "emails": {
      "sent": 10000,
      "delivered": 9700,
      "soft_failed": 100,
      "hard_failed": 50,
      "bounced": 100,
      "held": 50
    },
    "rates": {
      "delivery_rate": 0.97,
      "bounce_rate": 0.015
    }
  },
  "meta": {
    "requestId": "req_abc123xyz"
  }
}

Authorizations

Authorization
string
header
required

Use your API key from arkhq.io/org/credentials

Authorization: Bearer YOUR_API_KEY

Path Parameters

tenantId
string
required

The tenant ID

Query Parameters

period
string

Time period for usage data. Defaults to current month.

Formats:

  • Shortcuts: today, yesterday, this_week, last_week, this_month, last_month, last_7_days, last_30_days, last_90_days
  • Month: 2024-01
  • Range: 2024-01-01..2024-01-31
  • Day: 2024-01-15
timezone
string
default:UTC

Timezone for period calculations (IANA format). Defaults to UTC.

Response

Tenant usage statistics

Usage statistics for a single tenant

success
boolean
required
data
object
required

Tenant usage statistics

meta
object
required